### Method

# Gio DBusMethodInvocation return_dbus_error

since: 2.26

#### Declaration [src]

    void
    g_dbus_method_invocation_return_dbus_error (
      GDBusMethodInvocation* invocation,
      const gchar* error_name,
      const gchar* error_message
    )

#### Description [src]

Finishes handling a D-Bus method call by returning an error.

This method will take ownership of `invocation`. See `GDBusInterfaceVTable` for more information about the ownership of `invocation`.

Available since: 2.26

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  A `GDBusMethodInvocation`.

  The instance takes ownership of the data, and is responsible for freeing it.

`error_name`

  Type: `const gchar*`

  A valid D-Bus error name.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error_message`

  Type: `const gchar*`

  A valid D-Bus error message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.